package tools.wztosql;

import com.alibaba.druid.pool.DruidPooledConnection;
import database.DBConPool;
import java.io.File;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import provider.MapleData;
import provider.MapleDataProvider;
import provider.MapleDataProviderFactory;
import provider.MapleDataTool;
import tools.FileoutputUtil;
import tools.StringUtil;

public class DumpHairFace {

   private static final Map chrNames = new HashMap();


   public static void main(String[] args) throws SQLException {
      DumpHairFace dump = new DumpHairFace();
      System.out.println("HairMySQL......");
      dump.dumpHairFaceData("Hair");
      System.out.println("FaceMySQL......");
      dump.dumpHairFaceData("Face");
      System.out.println("結束。");
   }

   public void dumpHairFaceData(String type) throws SQLException {
      File dataFile = new File((System.getProperty("path") != null?System.getProperty("path"):"") + "wz/Character.wz/" + type);
      File strDataFile = new File((System.getProperty("path") != null?System.getProperty("path"):"") + "wz/String.wz");
      MapleDataProvider chrData = MapleDataProviderFactory.getDataProvider(dataFile);
      MapleDataProvider stringDataWZ = MapleDataProviderFactory.getDataProvider(strDataFile);
      MapleData chrStringData = stringDataWZ.getData("Eqp.img").getChildByPath("Eqp/" + type);

      try {
         DruidPooledConnection es = DBConPool.getInstance().getDataSource().getConnection();
         Throwable var8 = null;

         try {
            PreparedStatement ps = es.prepareStatement("DELETE FROM `wz_" + type.toLowerCase() + "data`");
            Throwable key = null;

            try {
               ps.execute();
            } catch (Throwable var67) {
               key = var67;
               throw var67;
            } finally {
               if(ps != null) {
                  if(key != null) {
                     try {
                        ps.close();
                     } catch (Throwable var64) {
                        key.addSuppressed(var64);
                     }
                  } else {
                     ps.close();
                  }
               }

            }

            Iterator ps1 = chrStringData.iterator();

            while(ps1.hasNext()) {
               MapleData key1 = (MapleData)ps1.next();
               int ex = Integer.parseInt(key1.getName());
               String n = StringUtil.getLeftPaddedStr(ex + ".img", '0', 12);

               try {
                  if(chrData.getData(n) != null) {
                     String e = MapleDataTool.getString("name", key1, "无");
                     chrNames.put(Integer.valueOf(ex), e);
                  }
               } catch (NullPointerException var68) {
                  FileoutputUtil.outError("logs/资料库异常.txt", var68);
               } catch (RuntimeException var69) {
                  FileoutputUtil.outError("logs/资料库异常.txt", var69);
               }
            }

            ps1 = chrNames.keySet().iterator();

            while(ps1.hasNext()) {
               int key2 = ((Integer)ps1.next()).intValue();

               try {
                  PreparedStatement ex1 = es.prepareStatement("INSERT INTO `wz_" + type.toLowerCase() + "data` (`" + type.toLowerCase() + "id`, `name`) VALUES (?, ?)");
                  Throwable n1 = null;

                  try {
                     ex1.setInt(1, key2);
                     ex1.setString(2, (String)chrNames.get(Integer.valueOf(key2)));
                     ex1.execute();
                  } catch (Throwable var66) {
                     n1 = var66;
                     throw var66;
                  } finally {
                     if(ex1 != null) {
                        if(n1 != null) {
                           try {
                              ex1.close();
                           } catch (Throwable var65) {
                              n1.addSuppressed(var65);
                           }
                        } else {
                           ex1.close();
                        }
                     }

                  }

                  System.out.println("鍵值: " + key2 + " 名稱: " + (String)chrNames.get(Integer.valueOf(key2)));
               } catch (SQLException var72) {
                  FileoutputUtil.outError("logs/资料库异常.txt", var72);
                  System.out.println("保存鍵值錯誤：" + key2);
               }
            }

            chrNames.clear();
         } catch (Throwable var73) {
            var8 = var73;
            throw var73;
         } finally {
            if(es != null) {
               if(var8 != null) {
                  try {
                     es.close();
                  } catch (Throwable var63) {
                     var8.addSuppressed(var63);
                  }
               } else {
                  es.close();
               }
            }

         }
      } catch (SQLException var75) {
         FileoutputUtil.outError("logs/资料库异常.txt", var75);
      }

   }

}
